unit XData.Wizard.Service.Settings;

interface

type
  TXDataServiceSettings = class
  private
    FSeparetedUnits: Boolean;
    FServiceName: string;
    FModel: string;
    FAddSampleMethods: Boolean;
  public
    constructor Create;
    property ServiceName: string read FServiceName write FServiceName;
    property Model: string read FModel write FModel;
    property SeparetedUnits: Boolean read FSeparetedUnits write FSeparetedUnits;
    property AddSampleMethods: Boolean read FAddSampleMethods write FAddSampleMethods;
  end;

implementation

{ TXDataServiceSettings }

constructor TXDataServiceSettings.Create;
begin
  FSeparetedUnits := True;
  FServiceName := 'My';
  FModel := '';
  FAddSampleMethods := True;
end;

end.
